{% load staticfiles %}
{% load menu_generator %}
<!DOCTYPE HTML>
<html lang="fr">
  <head>
    <title>{% block title %}{% endblock %}</title>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="{% static 'base-style.css' %}" type="text/css" media="screen" />
    {% block head %}{% endblock head %}
  </head>
  <body>
    <header>
      <h1><a href="/">Libre et vous</a></h1>
      <div class="wrap">
	<nav id="main">
	  {% get_menu "NAV_MENU_MAIN" as menu_main %}
	  <ul class="menu">
	    {% for item in menu_main %}
	    <li>
              {% if item.submenu %}
	      <a onclick="openSubMenu('sub-menu{{ forloop.counter }}')" class="dropmenu" href="#">{{ item.name }}</a>
              <ul id="sub-menu{{ forloop.counter }}" class="submenu">
                {% for menu in item.submenu %}
                <li class="{% if menu.selected %} active {% endif %}">
                  <a href="{{ menu.url }}">{{ menu.name }}</a>
                </li>
                {% endfor %}
              </ul>
	      {% else %}
	      <a href="{{ item.url }}">{{ item.name }}</a>    
              {% endif %}
	    </li>
	    {% endfor %}
	  </ul>
	</nav>
	<nav id="auth">
	  <ul class="menu">
	    {% if user.is_authenticated %}
	    <li><a href="{%url 'auth_password_change' %}">Modifier mot de passe</a></li>
	    <li><a href="{%url 'auth_logout' %}">Se déconnecter</a></li>
	    {% else %}
	    <li><a href="{%url 'auth_login' %}">Se connecter</a></li>
	    {% endif %}
	  </ul>
	</nav>
      </div>
    </header>
    <div class="content">
      {% block content %}
      {% endblock %}
    </div>
    <footer>
      <a href="/pages/organisations_participantes/">
	<div class="participants">
	  <!-- <h4>L'Équipe d'organisation</h4> -->
	  <div class="wrap">

	    <div class="association">
	      <img class="minilogo" src="{% static 'img/slo_logo.png' %}" alt="SwissLinux.Org logo" />
	      <div class="association-name">
		SwissLinux.Org
	      </div>
	    </div>

	    <div class="association">
	      <img class="minilogo" src="{% static 'img/pole_sud_logo.png' %}" alt="Pôle Sud logo" />
	      <div class="association-name">
		Pôle Sud
	      </div>
	    </div>

	    <div class="association">
	      <img class="minilogo" src="{% static 'img/itopie_logo.png' %}" alt="Itopie logo" />
	      <div class="association-name">
		Itopie
	      </div>
	    </div>

	    <div class="association">
	      <img class="minilogo" src="{% static 'img/fixme_logo.png' %}" alt="Fixme logo" />
	      <div class="association-name">
		Fixme
	      </div>
	    </div>

	    <div class="association">
	      <img class="minilogo" src="{% static 'img/ch-open_logo.png' %}" alt="CH Open logo" />
	      <div class="association-name">
		CH Open
	      </div>
	    </div>

	    <div class="business">
	      <img class="minilogo" src="{% static 'img/why_logo.jpg' %}" alt="Why! open computing logo" />
	      <div class="business-name">
		Why! open computing
	      </div>
	    </div>

	  </div>
	</div>
      </a>
    </footer>
  </body>
  <script type="text/javascript">
    function openSubMenu(menu_id) {
    document.getElementById(menu_id).classList.toggle("show-sub-menu");
    }
    window.onclick = function(event) {
    if (!event.target.matches('.dropmenu')) {

    var dropdowns = document.getElementsByClassName("submenu");
    var i;
    for (i = 0; i < dropdowns.length; i++) {
		    var openDropdown = dropdowns[i];
		    if (openDropdown.classList.contains('show-sub-menu')) {
		    openDropdown.classList.remove('show-sub-menu');
		    }
		    }
		    }
		    }		
		    </script>
</html>
